MIMEContainer.MIME (base API)
Date: 2019-04-05

com.twosigma.beakerx.mimetype

## Class MIMEContainer.MIME

- java.lang.Object
- - com.twosigma.beakerx.mimetype.MIMEContainer.MIME

- Enclosing class:
    MIMEContainer

      public static class MIMEContainer.MIME
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLICATION_JAVASCRIPT`
    `static java.lang.String` | `HIDDEN`
    `static java.lang.String` | `IMAGE_JPEG`
    `static java.lang.String` | `IMAGE_PNG`
    `static java.lang.String` | `IMAGE_SVG`
    `static java.lang.String` | `TEXT_HTML`
    `static java.lang.String` | `TEXT_LATEX`
    `static java.lang.String` | `TEXT_MARKDOWN`
    `static java.lang.String` | `TEXT_PLAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIME(java.lang.String mime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `asString()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TEXT_PLAIN

          public static final java.lang.String TEXT_PLAIN

      See Also:
        Constant Field Values

    - #### TEXT_HTML

          public static final java.lang.String TEXT_HTML

      See Also:
        Constant Field Values

    - #### TEXT_LATEX

          public static final java.lang.String TEXT_LATEX

      See Also:
        Constant Field Values

    - #### TEXT_MARKDOWN

          public static final java.lang.String TEXT_MARKDOWN

      See Also:
        Constant Field Values

    - #### APPLICATION_JAVASCRIPT

          public static final java.lang.String APPLICATION_JAVASCRIPT

      See Also:
        Constant Field Values

    - #### IMAGE_PNG

          public static final java.lang.String IMAGE_PNG

      See Also:
        Constant Field Values

    - #### IMAGE_JPEG

          public static final java.lang.String IMAGE_JPEG

      See Also:
        Constant Field Values

    - #### IMAGE_SVG

          public static final java.lang.String IMAGE_SVG

      See Also:
        Constant Field Values

    - #### HIDDEN

          public static final java.lang.String HIDDEN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MIME

          public MIME(java.lang.String mime)

  - ### Method Detail

    - #### asString

          public java.lang.String asString()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`